glibc-2.3.4-20040701: configure: error: working compiler support for visibility attribute is required

lfs.20.krmbox at dfgh.net lfs.20.krmbox at dfgh.net
Mon Oct 18 14:44:43 PDT 2004


Hello,

Following svn revision 4299 of 6.0 branch, I encountered in build of
chapter 5 that error which already had found attention in former mails.

Since no configure errors were encountered beforehand, I blame my native
toolchain or pass1-toolchain. As in `hackers' suggested I also tried gcc
pass1-build with --enable-posix=threads.

My host setup is:

(prefixed /usr)
SuSE-Linux 7.2,
gcc 2.95.3 20010315 (SuSE),
with (hopefully) original (restored) /usr/include/{linux,asm} to
7.2-defaults [should I recompile /usr/local-gcc to fix headers?],
/lib/libc.so.6 2.2.2,
ld 2.10.91,

(but prefixed /usr/local)
ld 2.14 20030612,
gcc 3.3.1 (configured by ./configure, thread: posix),
kernel 2.6.8.1 (on 3.3.1).

Chapter 5 build of LFS-stable 5.1.1 ran without any errors on former
mentioned toolchain.

Are there any known issues with the mentioned versions regarding
6.0-branch? In case my toolchain is broken: What steps could I take to
achieve a working one for pass1-issues?

Martin




More information about the lfs-dev mailing list